Class | Warbler::Task
In: | lib/warbler/task.rb
Parent: | Rake::TaskLib

Warbler Rake task. Allows defining multiple configurations inside the same Rakefile by using different task names.

### Methods

new

### Constants

COPY_PROC | = | proc {|t| cp t.prerequisites.last, t.name }

### Attributes

config | [RW] | Warbler::Config
name | [RW] | Task name
verbose | [RW] | Whether to print a line when a file or directory task is declared; helps to see what is getting included

### Public Class methods

new(name = :war, config = nil, tasks = :define_tasks) {|self if block_given?| ...}

[Validate]